scala.math.Ordering

# Double

###
Related Doc: package Ordering

#### implicit object Double extends DoubleOrdering

Source
  Ordering.scala

Linear Supertypes
DoubleOrdering, Ordering[Double], PartialOrdering[Double], Equiv[Double], Serializable, java.io.Serializable, Comparator[Double], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Double
2. DoubleOrdering
3. Ordering
4. PartialOrdering
5. Equiv
6. Serializable
7. Serializable
8. Comparator
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   This inner class defines comparison operators available for `T`.

   This inner class defines comparison operators available for `T`.

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

5. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @HotSpotIntrinsicCandidate() @throws( ... )
   Note

     not specified by SLS as a member of AnyRef

6. #### def compare(x: Double, y: Double): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     DoubleOrdering → Ordering → Comparator

7. #### final def eq(arg0: AnyRef): Boolean

   Tests whether the argument (`that`) is a reference to the receiver object (`this`).

   Tests whether the argument (`that`) is a reference to the receiver object (`this`).

   The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

   - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
   - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
   - `null.eq(null)` returns `true`.

   When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

   returns

     `true` if the argument is a reference to the receiver object; `false` otherwise.

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   The equality method for reference types.

   The equality method for reference types. Default implementation delegates to `eq`.

   See also `equals` in scala.Any.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

9. #### def equiv(x: Double, y: Double): Boolean

   Return true if `x` == `y` in the ordering.

   Return true if `x` == `y` in the ordering.

   Definition Classes
     DoubleOrdering → Ordering → PartialOrdering → Equiv

10. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

11. #### def gt(x: Double, y: Double): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      DoubleOrdering → Ordering → PartialOrdering

12. #### def gteq(x: Double, y: Double): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      DoubleOrdering → Ordering → PartialOrdering

13. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any
    Annotations
      @HotSpotIntrinsicCandidate()

14. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

15. #### def lt(x: Double, y: Double): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      DoubleOrdering → Ordering → PartialOrdering

16. #### def lteq(x: Double, y: Double): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      DoubleOrdering → Ordering → PartialOrdering

17. #### def max(x: Double, y: Double): Double

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      DoubleOrdering → Ordering

18. #### def min(x: Double, y: Double): Double

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      DoubleOrdering → Ordering

19. #### implicit def mkOrderingOps(lhs: Double): Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

20. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

22. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Annotations
      @HotSpotIntrinsicCandidate()
    Note

      not specified by SLS as a member of AnyRef

23. #### def on[U](f: (U) ⇒ Double): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

24. #### def reverse: Ordering[Double]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      DoubleOrdering → Ordering → PartialOrdering

25. #### def reversed(): Comparator[Double]

    Definition Classes
      Comparator

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def thenComparing[U <: Comparable[_ >: U]](arg0: java.util.function.Function[_ >: Double, _ <: U]): Comparator[Double]

    Definition Classes
      Comparator

28. #### def thenComparing[U](arg0: java.util.function.Function[_ >: Double, _ <: U], arg1: Comparator[_ >: U]): Comparator[Double]

    Definition Classes
      Comparator

29. #### def thenComparing(arg0: Comparator[_ >: Double]): Comparator[Double]

    Definition Classes
      Comparator

30. #### def thenComparingDouble(arg0: ToDoubleFunction[_ >: Double]): Comparator[Double]

    Definition Classes
      Comparator

31. #### def thenComparingInt(arg0: ToIntFunction[_ >: Double]): Comparator[Double]

    Definition Classes
      Comparator

32. #### def thenComparingLong(arg0: ToLongFunction[_ >: Double]): Comparator[Double]

    Definition Classes
      Comparator

33. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

34. #### def tryCompare(x: Double, y: Double): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1. #### def finalize(): Unit

   Called by the garbage collector on the receiver object when there are no more references to the object.

   Called by the garbage collector on the receiver object when there are no more references to the object.

   The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @Deprecated @deprecated @throws( classOf[java.lang.Throwable] )
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

   Note

     not specified by SLS as a member of AnyRef

### Inherited from DoubleOrdering

### Inherited from Ordering[Double]

### Inherited from PartialOrdering[Double]

### Inherited from Equiv[Double]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Double]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped